Pausing lags; resuming has no audio

Bug #998538 reported by Adam Porter on 2012-05-12
18
This bug affects 4 people
Affects Status Importance Assigned to Milestone
VLC media player
Fix Released
Unknown
vlc (Ubuntu)
Undecided
Unassigned

Bug Description

After upgrading from Oneiric to Precise, VLC has regressed. When I pause a video, the picture freezes instantly, but the audio continues for several seconds. When I unpause, the video resumes, but the audio doesn't resume at all. If I skip backwards in the video, the audio plays again. This happens for every format I've tried to play, including MKV, AVI, and FLV. This never happened before upgrading to Precise.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: vlc 2.0.1-4
Uname: Linux 3.3.6-pf-adp i686
NonfreeKernelModules: nvidia
ApportVersion: 2.0.1-0ubuntu7
Architecture: i386
Date: Sat May 12 14:49:53 2012
ProcEnviron:
 LANGUAGE=
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: vlc
UpgradeStatus: Upgraded to precise on 2012-05-06 (6 days ago)

Adam Porter (alphapapa) wrote :
Rémi Denis-Courmont (rdenis) wrote :

You have probably selected the ALSA audio output. Reset your preferences, or set the audio output back to default.

Changed in vlc (Ubuntu):
status: New → Invalid
Rémi Denis-Courmont (rdenis) wrote :

Err, sorry, ALSA should not exhibit that bug either. Only volume is delayed with ALSA.

This might be https://trac.videolan.org/vlc/ticket/5825 which is already fixed upstream in VLC 2.1.

Changed in vlc (Ubuntu):
status: Invalid → New
Rémi Denis-Courmont (rdenis) wrote :

A simple work around is to reduce the caching value. The default value should be short enough.

I haven't changed the audio output module--it's on "Default." But it
does appear to be the bug you linked. I had also set the File buffer
to 3000 ms at some time in the past to work around another issue.
Thanks.

Rémi Denis-Courmont (rdenis) wrote :
Changed in vlc:
milestone: none → 2.0.2
Changed in vlc (Ubuntu):
status: New → Confirmed
tags: added: patch-accepted-upstream
Adam Porter (alphapapa) wrote :

Thank you for fixing this bug.

On Wed, May 16, 2012 at 2:22 PM, Rémi Denis-Courmont
<email address hidden> wrote:
> http://git.videolan.org/?p=vlc/vlc-2.0.git;a=commit;h=c87880bc4e5a90febbfc348dfb01150a5d113632
>
> ** Also affects: vlc via
>   http://trac.videolan.org/vlc/ticket/5825
>   Importance: Unknown
>       Status: Unknown
>
> ** Changed in: vlc
>    Milestone: None => 2.0.2
>
> ** Changed in: vlc (Ubuntu)
>       Status: New => Confirmed
>
> ** Tags added: patch-accepted-upstream
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/998538
>
> Title:
>  Pausing lags; resuming has no audio
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/vlc/+bug/998538/+subscriptions

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vlc - 2.0.2-1

---------------
vlc (2.0.2-1) unstable; urgency=medium

  [ Edward Wang ]
  * New upstream release (Closes: #679625, #664279, LP: #689122, #936488,
    #942126, #971106, #972615, #973051, #987231, #995003, #998538).
    - Fix Ogg Heap buffer overflow. Thanks to Hugo Beauzée-Luyssen
  * Add the crystalhd plugin to the vlc distribution.
  * libcaca_plugin.so now depends on X11 in this release, so it must
    be installed under vlc (versus vlc-nox).

  [ Reinhard Tartler ]
  * Urgency set to medium because a security issue is fixed in this release

  [ Benjamin Drung ]
  * Add new plugins to vlc-nox:
    - crystalhd (Linux amd64 and i386 only)
    - directfb
    - fbosd (Linux only)
    - omxil (Linux only)
  * Add build dependencies for new plugins.
  * Add new symbols to libvlccore5.
  * Switch to debhelper 8.

 -- Benjamin Drung <email address hidden> Sat, 30 Jun 2012 18:39:41 +0200

Changed in vlc (Ubuntu):
status: Confirmed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Changed in vlc:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.